.absolute {
    position: absolute;
    width: -webkit-fill-available;
}

.f-right {
    float: right;
}

.col-xl,
.col-xl-auto,
.col-xl-12,
.col-xl-11,
.col-xl-10,
.col-xl-9,
.col-xl-8,
.col-xl-7,
.col-xl-6,
.col-xl-5,
.col-xl-4,
.col-xl-3,
.col-xl-2,
.col-xl-1,
.col-lg,
.col-lg-auto,
.col-lg-12,
.col-lg-11,
.col-lg-10,
.col-lg-9,
.col-lg-8,
.col-lg-7,
.col-lg-6,
.col-lg-5,
.col-lg-4,
.col-lg-3,
.col-lg-2,
.col-lg-1,
.col-md,
.col-md-auto,
.col-md-12,
.col-md-11,
.col-md-10,
.col-md-9,
.col-md-8,
.col-md-7,
.col-md-6,
.col-md-5,
.col-md-4,
.col-md-3,
.col-md-2,
.col-md-1,
.col-sm,
.col-sm-auto,
.col-sm-12,
.col-sm-11,
.col-sm-10,
.col-sm-9,
.col-sm-8,
.col-sm-7,
.col-sm-6,
.col-sm-5,
.col-sm-4,
.col-sm-3,
.col-sm-2,
.col-sm-1,
.col,
.col-auto,
.col-12,
.col-11,
.col-10,
.col-9,
.col-8,
.col-7,
.col-6,
.col-5,
.col-4,
.col-3,
.col-2,
.col-1 {
    position: relative;
    width: 100%;
    padding-right: 0px;
    padding-left: 0px;
}

.row {
    display: -webkit-box;
    display: flex;
    flex-wrap: wrap;
    margin-right: 0px;
    margin-left: 0px;
}

.top-position {
    padding-top: 1vh;
}

.main-contain {
    // padding-left: 5vw;
    padding-right: 5vw;
}

.auth-custom-contain {
    padding-top: 5vh;
}

.overflow-main-contain {
    max-height: 90vh;
}

.overflow-sub-contain {
    max-height: 42vh;
}

.overflow-hompage {
    max-height: 80vh;
}

//space
.space-1 {
    padding: 2.5vh 0;
}

.space-2 {
    padding: 5vh 0;
}

.s-profile-history {
    margin: inherit;
    min-height: 82vh;
    max-height: 82vh;
    max-width: -webkit-fill-available;
    padding: 0vw 0.5vw;
    cursor: default;
}

.s-profile-project {
    margin: 0;
    min-height: 31vh;
    max-height: 38vh;
    max-width: -webkit-fill-available;
    padding: 0vw 0.5vw;
    cursor: default;
}

.rem-margin {
    margin: 0;
}

.s-contain-history {
    padding: 5px;
    border-radius: 3px;
}

.s-projecct {
    min-height: 92vh;
}

//text-space
.t-space-1 {
    padding: 1vh 1vw;
    margin-bottom: 0px;
}

//icon
.s-icon {
    width: 16px;
}